Land Records Management Information System (LRMIS)

Internet Explorer 11 is required to use the Land Records Management information System (LRMIS).
We are aware that LRMIS is currently incompatible with Edge, Chrome, and other similar products.
We are working on a solution, until then, please use Internet Explorer 11.

Click the "LRMIS Website" button below to proceed to the LRMIS website.
LRMIS Website